# define NEOMAME
NEOMAME = 1

# tiny compile
COREDEFS = -DNEOMAME

# override executable name
ifdef DOS
EMULATOR_EXE = neomame.exe
endif

# CPUs
CPUS+=Z80@
CPUS+=M68000@

# SOUNDs
SOUNDS+=AY8910@
SOUNDS+=YM2610@

DRVLIBS = $(OBJ)/neogeo.a

$(OBJ)/neogeo.a: \
	$(OBJ)/machine/neogeo.o $(OBJ)/machine/pd4990a.o \
	$(OBJ)/vidhrdw/neogeo.o $(OBJ)/drivers/neogeo.o \
	$(OBJ)/vidhrdw/neosprite.o $(OBJ)/patch/kof99pat.o \
	$(OBJ)/patch/windjpat.o $(OBJ)/patch/shooppat.o \
	$(OBJ)/patch/ffevpat.o

# MAME specific core objs
COREOBJS += $(OBJ)/driver.o $(OBJ)/cheat.o

